---
title: "Retrieve Card Eligibility Details"
source_url: https://docs.rapyd.net/en/retrieve-card-eligibility-details.html
lang: en
---

# Retrieve Card Eligibility Details

Retrieve information about a beneficiary’s card to determine whether it is eligible for card payouts (Original Credit Transactions (OCT)), and card payments (Account Funding Transactions (AFT)). Available for Visa and Mastercard cards.

See also [Card Eligibility for Card Payouts](https://docs.rapyd.net/en/card-eligibility-for-card-payouts.md "Card Eligibility for Card Payouts").

### Parameters

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Request Body Parameters

- - card_number
  - The number of the card. In the sandbox, use the number **4895034400003371** to simulate this method with a Visa card. Required when `card_id` is not used.

- - card_id
  - ID of the card, a string starting with **card_**. Required when `card_number` is not used.

- - transaction_type
  - The type of transaction. One of the following:

    - **all** - OCT and AFT transactions.
    - **oct** - Original Credit Transactions (OCT).
    - **aft** - Account Funding Transaction (AFT).

### Response Parameters

- - aft
  - Indicates whether the card is eligible to initiate AFT transactions (Card Payments). AFT transactions include:

    - - domestic
      - Indicates whether the card is eligible to initiate a domestic AFT transaction.
    - - international
      - Indicates whether the card is eligible to initiate a cross-border AFT transaction.

      > **Note:**
      >
      > Valid statuses for AFT transactions include:
      >
      > - **true** - Transfer of funds is permitted.
      > - **false** - Transfer of funds is not permitted.
      > - **unknown** or **null** – The card or issuer details were not found or the card scheme could not determine the card payouts eligibility and fast funds status for this card.
- - billing_currency
  - The billing currency of the card. Three-letter ISO 4217 code.
- - card_type
  - The type of card:

    - **commercial**
    - **consumer**
- - issuer
  - The issuer of the card.
- - issuer_country
  - The country where the issuer of the card is registered.
- - oct
  - Indicates whether the card can receive the domestic/international OCT transactions (Card Payouts). OCT transaction types include:

    - - money_transfer_domestic
      - Indicates whether domestic money transfer OCTs are allowed.
    - - money_transfer_international
      - Indicates whether international money transfer OCTs are allowed.
    - - non_money_transfer_domestic
      - Indicates whether domestic non-money transfer OCTs are allowed.
    - - non_money_transfer_international
      - Indicates whether international non-money transfer OCTs are allowed.
    - - online_gambling_domestic
      - Indicates whether domestic online gambling OCTs are allowed.
    - - online_gambling_international
      - Indicates whether international online gambling OCTs are allowed.

      > **Note:**
      >
      > Valid statuses for each OCT type include:
      >
      > - **fast_funds** - Transfer of funds may take up to 30 minutes.
      > - **not_supported** - The card is not supported for the specific type of OCT transfer.
      > - **standard** - Transfer of funds may take up to 48 hours.
      > - **unknown** or **null** – The card or issuer details were not found or the card scheme could not determine the card payouts eligibility and fast funds status for this card.
- - product_type
  - The type of card product:

    - **Debit**
    - **Credit**
- - scheme
  - The scheme of the card:

    - **Visa**
    - **Mastercard**

- /v1/cards/eligibility

- Retrieve Card Eligibility - Visa
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/cards/eligibility' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
     "card_number": "4895034400003371",
     "transaction_type": "all"
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "191c6f89-b2b0-4ce3-90ec-984f329ffabf"
      },
      "data": {
          "scheme": "VISA",
          "card_type": "Consumer",
          "billing_currency": "USD",
          "issuer": "Visa Test Bank",
          "issuer_country": "US",
          "product_type": "Credit",
          "oct": {
              "money_transfer_domestic": "standard",
              "money_transfer_international": "standard",
              "non_money_transfer_domestic": "standard",
              "non_money_transfer_international": "standard",
              "online_gambling_domestic": "not_supported",
              "online_gambling_international": "not_supported"
          },
          "aft": {
              "domestic": true,
              "international": false
          }
      }
  }
  ```

- Retrieve Card Eligibility - Mastercard
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/cards/eligibility' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
     "card_number": "5452293894730822",
     "transaction_type": "all"
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "3264890d-7588-4593-8bdb-2240d85e0d3f"
      },
      "data": {
          "scheme": "MASTERCARD",
          "card_type": "Consumer",
          "product_type": "Credit",
          "billing_currency": "HKD",
          "issuer": "BANK OF EAST ASIA, LIMITED, THE",
          "issuer_country": "HK",
          "oct": {
              "money_transfer_domestic": "fast_funds",
              "money_transfer_international": "fast_funds",
              "non_money_transfer_domestic": "fast_funds",
              "non_money_transfer_international": "fast_funds",
              "online_gambling_domestic": "fast_funds",
              "online_gambling_international": "fast_funds"
          },
          "aft": {
              "domestic": true,
              "international": true
          }
      }
  }
  ```

- Retrieve Card Eligibility - Card ID
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/cards/eligibility' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
     "card_id": "card_a5429bdb6c529008ed5b409e5929b606",
     "transaction_type": "all"
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "f9c23239-2b9c-4d91-85f7-18ba896f413a"
      },
      "data": {
          "scheme": "MASTERCARD",
          "card_type": "Business",
          "product_type": "Credit",
          "billing_currency": "USD",
          "issuer": "FISERV SOLUTIONS, LLC",
          "issuer_country": "US",
          "oct": {
              "money_transfer_domestic": "fast_funds",
              "money_transfer_international": "not_supported",
              "non_money_transfer_domestic": "fast_funds",
              "non_money_transfer_international": "not_supported",
              "online_gambling_domestic": "fast_funds",
              "online_gambling_international": "not_supported"
          },
          "aft": {
              "domestic": true,
              "international": false
          }
      }
  }
  ```
